@import url('https://fonts.googleapis.com/css2?family=Inter:ital,opsz,wght@0,14..32,100..900;1,14..32,100..900&display=swap');

:root {

--caa-bt-primary-color: #000000;
--caa-bt-primary-rgb: 245, 196, 0; /* Necessário para sombras e transparências */
--caa-bt-primary-bg: #F5C400;
--caa-bt-primary-bg-hover: #C49D00;    /* Tom mais escuro para hover */
--caa-bt-primary-bg-active: #937600;   /* Tom ainda mais escuro para clique */
--caa-bt-primary-bg-visited: #F5C400;
--caa-bt-primary-bg-focus: #937600;
--caa-bt-primary-border-color: var(--caa-bt-primary-bg);

--caa-link-primary: #F5C400;         /* Cor padrão do link */
--caa-link-primary-rgb: 245, 196, 0; /* Versão RGB para efeitos de transparência */
--caa-link-primary-hover: #C49D00;   /* Cor ao passar o mouse (mais escura) */
--caa-link-primary-active: #937600; 

--menu-link: #dbaf00; /*F5C400*/
--menu-link-visited: #dbaf00; /*F5C400*/
--menu-link-hover: #dbaf00; /*F5C400*/
--menu-link-focus: #dbaf00; /*F5C400*/
--menu-link-active: #dbaf00; /*F5C400*/

--footer-link: #FFFFFF;
--footer-link-visited: #FFFFFF;
--footer-link-hover: #FFFFFF;
--footer-link-focus: #FFFFFF;
--footer-link-active: #FFFFFF;

--primary-text-color: #FFFFFF;
--primary-link-text-color: #F5C400;

--primary-button-background-color: ;
--primary-button-text-color: #000000;

--secondary-text-color: #000000;

--header-background-color: #464646;
--header-border-color: #F5C400;
--footer-background-color: #8f7200; /*#C49D00*/
--footer-border-color: #464646;

--caa-border-width: 1px;

--caa-navbar-toggler-icon: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 30 30'%3e%3cpath stroke='rgba(255, 255, 255, 1)' stroke-linecap='round' stroke-miterlimit='10' stroke-width='2' d='M4 7h22M4 15h22M4 23h22'/%3e%3c/svg%3e") !important;
--caa-navbar-toggler-border-color: #FFFFFF;


/*LIST SETTInG*/
--icon-space: 1.2em;

/*TYPOGRAPHY*/
--caa-font-size:  16px;
--caa-line-height:  1.8em;

}

body { display: flex; flex-direction: column; justify-content: space-between; background: url("../imagens/bkg-site.png") no-repeat; background-size: cover; background-position: center; color: #cccccc; /*text-align: justify;*/ line-height: var(--caa-line-height); font-size: var(--caa-font-size); font-family: "Inter", sans-serif; font-optical-sizing: auto; font-weight: 400; font-style: normal; }

a:link { color: var(--caa-link-primary); text-decoration: underline; }
a:visited { color: var(--caa-link-primary); }
a:hover { color: var(--caa-link-primary-hover); }
a:focus { color: var(--caa-link-primary); }
a:active { color: var(--caa-link-primary-active); }

a.menulink:link { color: var(--menu-link); text-decoration: none; }
a.menulink:visited { color: var(--menu-link); }
a.menulink:hover { color: var(--menu-link); text-decoration: underline; }
a.menulink:focus { color: var(--menu-link); }
a.menulink:active { color: var(--menu-link); }

a.footerlink:link { color: var(--footer-link); text-decoration: none; }
a.footerlink:visited { color: var(--footer-link); }
a.footerlink:hover { color: var(--footer-link); text-decoration: underline; }
a.footerlink:focus { color: var(--footer-link); }
a.footerlink:active { color: var(--footer-link); }

/* BUTTON */
a.btn-primary:link { background-color: var(--caa-bt-primary-bg); border-color: var(--caa-bt-primary-border-color); color: var(--caa-bt-primary-color); text-decoration: none; }
a.btn-primary:visited { background-color: var(--caa-bt-primary-bg-visited); border-color: var(--caa-bt-primary-border-color); color: var(--caa-bt-primary-color); }
a.btn-primary:hover { background-color: var(--caa-bt-primary-bg-hover); border-color: var(--caa-bt-primary-border-color); color: var(--caa-bt-primary-color); }
a.btn-primary:focus { background-color: var(--caa-bt-primary-bg-focus); border-color: var(--caa-bt-primary-border-color); color: var(--caa-bt-primary-color); }
a.btn-primary:active { background-color: var(--caa-bt-primary-bg-active) !important; border-color: var(--caa-bt-primary-border-color) !important; color: var(--caa-bt-primary-color) !important; }


.header { background-color: var(--header-background-color); /*border-bottom: 1px solid var(--header-border-color);*/ box-shadow: 0px 4px 12px rgba(0,0,0,.15); }
.header .nav-item:not(:first-child) a::before { content: "|"; margin-right: 16px; color: #FFFFFF; }


.footer { background-color: var(--footer-background-color); /*border-top: 1px solid var(--footer-border-color);*/ box-shadow: 0px -4px 12px rgba(0,0,0,.15); color: var(--primary-text-color); }
.footer footer ul { display: flex; align-items: center; }
.footer a i { font-size: 3.5em !important; }
.footer .nav-item:not(:first-child)::before { content: "|"; margin-right: 16px; color: #FFFFFF; }


.navbar-toggler { padding: 4px 8px; border-radius: 4px; }
.navbar-toggler-icon { width: 1em; height: 1em; }

.nav-underline .nav-link.active, .nav-underline .show>.nav-link { color: #FF0000; font-weight: bold; }
.navbar>.container, .navbar>.container-fluid, .navbar>.container-lg, .navbar>.container-md, .navbar>.container-sm, .navbar>.container-xl, .navbar>.container-xxl { justify-content: flex-end; }
.navbar-toggler { color: var(--caa-navbar-color); border: var(--caa-border-width) solid var(--caa-navbar-toggler-border-color); }
.navbar-toggler-icon { background-image: var(--caa-navbar-toggler-icon); }

.content-box { background-color: rgba(0,0,0,.5); border-radius: 8px; }
.cover-radius { border-radius: 8px; overflow: hidden; }

ul.biblioteca { list-style: none; padding: 0; text-align: center; }

ul.producao { list-style: none; padding: 0; }
ul.producao li { padding-left: var(--icon-space); display: flex; align-items: center; margin-bottom: 8px; }
ul.producao li:before { content: "\f1c1"; font-family: FontAwesome; display: inline-block; margin-left: calc(var(--icon-space) * -1); margin-right: calc(var(--icon-space) / 1.5); font-size: 1.1em; color: #FFFFFF; }



h1, h2 { font-weight: 700; }


/*Carrossel*/
.carousel-control-next-icon, .carousel-control-prev-icon { background-color: #000000; border-radius: 5px; }




/*`xs` returns only a ruleset and no media query*/
/*... { ... }*/

/*`sm` applies to x-small devices (portrait phones, less than 576px)*/
@media (max-width: 575.98px) {
/*.cover-radius img { height: 180px; max-width: fit-content; margin-left: -33%; }*/
.footer footer ul { flex-direction: column; }
.footer .nav-item:not(:first-child)::before { content: ""; margin-right: 0px; }
}

/*`md` applies to small devices (landscape phones, less than 768px)*/
@media (max-width: 767.98px) {
}

/*`lg` applies to medium devices (tablets, less than 992px)*/
@media (max-width: 991.98px) {
}

/*`xl` applies to large devices (desktops, less than 1200px)*/
@media (max-width: 1199.98px) { 
body { text-align: justify; }
.header .nav-item:not(:first-child) a::before { content: ""; margin-right: 0px; }
}

/*`xxl` applies to x-large devices (large desktops, less than 1400px)*/
@media (max-width: 1399.98px) {
}
